SIS635_GET_MAC_ADDR(9)

NAME
sis635_get_mac_addr - Get MAC address for SIS635 model

SYNOPSIS

int __devinit sis635_get_mac_addr (struct pci_dev * pci_dev, struct net_device * net_dev);

ARGUMENTS

pci_dev
    the sis900 pci device

net_dev
    the net device to get address for

DESCRIPTION

SiS635 model, set MAC Reload Bit to load Mac address from APC to rfdr. rfdr is accessed through rfcr. MAC address is read into net_dev->dev_addr.

AUTHORS
Ollie Lho, Lei Chun Chang.